function filename = load_filename2(SNR,N,MCSvec,wifi_params,wifi_standard,wifiMode, coding_type, LENGTH, GuardInterval, decision_type)
% Code to generate the output filename
the_date = clock;

SNRmin = SNR(1);
SNRmax = SNR(end);

filename = sprintf('wifi_%s_%s_from%dto%d_dB_%s_%s_MCS%d_LENGTH%05d_%sCP_%d_repeat_%04d-%02d-%02d_%02d%02d%02d',...
    wifi_standard,...
    wifiMode,...
    SNRmin,...
    SNRmax,...
    coding_type,...
    decision_type,...
    MCSvec(1),...
    LENGTH,...
    GuardInterval,...
    N,...
    the_date(1),...      % Date: year
    the_date(2),...      % Date: month
    the_date(3),...      % Date: day
    the_date(4),...      % Date: hour
    the_date(5),...      % Date: minutes
    floor(the_date(6))); % Date: seconds)

end